Subject: [bug#46215] [PATCH] Add yadm

From: Ellis Kenyő <[email-masked]>
Date: Sat, 06 Feb 2021 11:43:28 +0000

Hi Tobias,

Yes I am aware that it's more complicated than the initial question, I'm fine with adding all the dependencies as inputs.

I was simply asking the correct way to handle optional inputs.

> Does that not work?

Yes it would absolutely work, I have tested as such in depth on multiple guix systems.

> For things like templates {native-,}search-paths can be a 
solution, depending on how yadm (or its templating library) 
searches for these.

Yes I still have further testing with regards to templates as I don't personally use them.

Thanks you for your input Tobias 

On 6 Feb 2021, 11:37, at 11:37, Tobias Geerinckx-Rice <[email-masked]> wrote:
>Ellis,
>
>Ellis Kenyő via Guix-patches via 写道：
>> I was asking if there was a simple way to handle optional 
>> inputs.
>
>While this is an oxymoron for the reasons pointed out by Leo, 
>there is _nothing_ wrong with simply leaving some variables at 
>their default e.g.
>
>  GPG_PROGRAM="gpg"
>
>and letting yadm look them up at run time in its $PATH.
>
>Does that not work?
>
>For things like templates {native-,}search-paths can be a 
>solution, depending on how yadm (or its templating library) 
>searches for these.
>
>Kind regards,
>
>T G-R